Project ID.
Digital Distribution Hub (1.0.0)
Digital Distribution Hub is a new Xsolla solution that aims to connect digital and cash based payments via push payments technology and e-commerce.
This reference combines API endpoints for two Xsolla products: In-Game Store and Pay Station. There are two base URLs:
https://store.xsolla.com/apifor the Common, Catalog, Cart, and Order groups.https://ps.xsolla.comfor the Notifications group.
API endpoints in the Catalog group don’t require authorization.
To work with operations in the Cart and Order groups, you need to generate a token via Create user token.
Note
This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
This reference shows a design of a future API and not a fully functioning interface. Currently, you can try only Catalog and Notifications groups endpoints. If you’d like to share your feedback, please email us at techdoc@xsolla.com.
Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/
https://store.xsolla.com/api/
Bodyapplication/jsonrequired
Object with order creation data.
Preferred payment currency. Three-letter currency code per ISO 4217.
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/distribution_hub/payment/cart/{cart_id}
- https://store.xsolla.com/api/v2/project/{project_id}/distribution_hub/payment/cart/{cart_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/distribution_hub/payment/cart/custom_id \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"geotype": 13038
}'Response
application/json
{ "order_id": 641, "billing_info": { "price": { … }, "indirect_taxes": [ … ], "direct_taxes": [ … ] } }
Bodyapplication/jsonrequired
Object with order creation data.
Preferred payment currency. Three-letter currency code per ISO 4217.
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/distribution_hub/payment/cart
- https://store.xsolla.com/api/v2/project/{project_id}/distribution_hub/payment/cart
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/distribution_hub/payment/cart \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"geotype": 13038
}'Response
application/json
{ "order_id": 641, "billing_info": { "price": { … }, "indirect_taxes": [ … ], "direct_taxes": [ … ] } }
Bodyapplication/jsonrequired
Object with order creation data.
Preferred payment currency. Three-letter currency code per ISO 4217.
- Mock serverhttps://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/{project_id}/distribution_hub/payment/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/distribution_hub/payment/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/digital-distribution-hub/v2/project/44056/distribution_hub/payment/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"geotype": 13038
}'Response
application/json
{ "order_id": 641, "billing_info": { "price": { … }, "indirect_taxes": [ … ], "direct_taxes": [ … ] } }